import lancs.mobilemedia.core.ui.datamodel.MediaData;
import lancs.mobilemedia.core.ui.screens.AddMediaToAlbum;
import lancs.mobilemedia.lib.exceptions.InvalidImageDataException;
import lancs.mobilemedia.lib.exceptions.PersistenceMechanismException;

class PhotoViewController {
	private byte[] loadImage() {
		System.out
				.println("<* PhotoViewController.handleCommand() *> init *Save Item*");

		return ((AddMediaToAlbum) this.getCurrentScreen()).getCapturedMedia();
	}
	
	private void processImage(byte[] imgByte, MediaData imageData,
			String photoname, String albumname)
			throws InvalidImageDataException, PersistenceMechanismException {
		if ((imgByte != null) && (imgByte.length > 0))
			getAlbumData().addImageData(photoname, imgByte, albumname);
		original(imgByte, imageData, photoname,albumname);
	}
}
